Hi

I have an application Lme 6.7.3-02 which installs jre(1.6.0_05) plug ins.When i capture this application through wise it give me a prompt that "During SetupCapture while registering the file 'Program Files\Select 6 Trading Client\jre\bin\npjava11.dll' a message box was displayed. Title: 'Java Plug-in 1.6.0_05'. Text: 'Java Plug-in 1.6.0_05 is not installed properly".
I m getting the above prompts for the following files:
npjava11.dll
npjava12.dll
npjava13.dll
npjava14.dll
npjava32.dll
npjpi60_05.dll
npoji610.dll

Also i tried to register it through COM Registration but it gives me an error.Please advice me how can i register this files

Thanks,
0 Comments   [ + ] Show Comments

Comments

Please log in to comment

Rating comments in this legacy AppDeploy message board thread won't reorder them,
so that the conversation will remain readable.

Answers

0
Hi Gary,
On your capture box I would install the jre 1.6.0_05 first. Confirm that the installation is working by going to the Sun download test page, then run your setup capture of the LME Select.

The app should check to see if the plug-ins are installed before hand, if it doesn't run some sort of pre-req, check the tempdir for an installation file perhaps?

Ciao
Wayne
Answered 12/23/2009 by: WayneB
Blue Belt

Please log in to comment
0
Good point, Wayne.

@Gary, can I mention also that this raises a related issue? In packaging, you will come across other apps like this, where the support files have the RegisterComServer entry-point but contain no COM information. A few IBM products I've come across have this "feature". Wise is pretty dumb in that it searches only for that entry-point in order to decide that it's registerable. As you've found out, if the file won't register with RegSvr32 (provided you have eliminated missing dependencies as the caus, of course), you shouldn't be trying to register it! :)
Answered 12/24/2009 by: VBScab
Red Belt

Please log in to comment
Answer this question or Comment on this question for clarity